commit b4a336a3610275e1d9a1ddc2d46aa591784e1202
parent 0451132746cf70da9c6feebdb6d0b00085feffef
Author: Vincent Forest <vincent.forest@meso-star.com>
Date: Fri, 26 Jun 2026 16:24:12 +0200
Star-HiTRan: replace version 0.0 with version 0.1
Diffstat:
3 files changed, 36 insertions(+), 36 deletions(-)
diff --git a/src/rad-libs/star-hitran_0.0.sh b/src/rad-libs/star-hitran_0.0.sh
@@ -1,35 +0,0 @@
-#!/bin/sh
-
-# Copyright (C) 2023-2026 |Méso|Star> (contact@meso-star.com)
-#
-# This program is free software: you can redistribute it and/or modify
-# it under the terms of the GNU General Public License as published by
-# the Free Software Foundation, either version 3 of the License, or
-# (at your option) any later version.
-#
-# This program is distributed in the hope that it will be useful,
-# but WITHOUT ANY WARRANTY; without even the implied warranty of
-# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
-# GNU General Public License for more details.
-#
-# You should have received a copy of the GNU General Public License
-# along with this program. If not, see <http://www.gnu.org/licenses/>.
-
-set -e
-
-. "misc/build.sh"
-. "sys-libs/rsys_0.15.sh"
-
-name="star-hitran"
-tag="0.0"
-
-if [ -n "${STAR_HITRAN_SH}" ]; then
- check_conflict "${name}" "${tag}" "${STAR_HITRAN_SH}"
-else
- export STAR_HITRAN_SH="${tag}"
-
- url="$\(REPO\)/star-hitran.git"
- dep="rsys"
- opt="BUILD_TYPE=$\(BUILD_TYPE\) LIB_TYPE=$\(LIB_TYPE\)"
- git_repo
-fi
diff --git a/src/rad-libs/star-hitran_0.1.sh b/src/rad-libs/star-hitran_0.1.sh
@@ -0,0 +1,35 @@
+#!/bin/sh
+
+# Copyright (C) 2023-2026 |Méso|Star> (contact@meso-star.com)
+#
+# This program is free software: you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation, either version 3 of the License, or
+# (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program. If not, see <http://www.gnu.org/licenses/>.
+
+set -e
+
+. "misc/build.sh"
+. "sys-libs/rsys_0.15.sh"
+
+name="star-hitran"
+tag="0.1"
+
+if [ -n "${STAR_HITRAN_SH}" ]; then
+ check_conflict "${name}" "${tag}" "${STAR_HITRAN_SH}"
+else
+ export STAR_HITRAN_SH="${tag}"
+
+ url="$\(REPO\)/star-hitran.git"
+ dep="rsys"
+ opt="BUILD_TYPE=$\(BUILD_TYPE\) LIB_TYPE=$\(LIB_TYPE\)"
+ git_repo
+fi
diff --git a/src/rad-libs/star-line_0.0.sh b/src/rad-libs/star-line_0.0.sh
@@ -20,7 +20,7 @@ set -e
. "misc/build.sh"
. "rad-libs/star-blackbody_0.0.sh"
-. "rad-libs/star-hitran_0.0.sh"
+. "rad-libs/star-hitran_0.1.sh"
. "rad-libs/lblu_0.1.sh"
. "sci-libs/star-sp_0.15.sh"
. "sys-libs/rsys_0.15.sh"